Bug 491638 - File conflict with ggz-client-libs
File conflict with ggz-client-libs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ggz-base-libs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-23 09:23 EDT by Mamoru TASAKA
Modified: 2009-03-23 09:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-23 09:32:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2009-03-23 09:23:09 EDT
Description of problem:
Well, on my system:

# LANG=C yum -y upgrade --exclude=kernel --exclude=kernel\* --exclude=xorg-x11-drv-intel --exclude=xorg-x11-drv-i\* --exclude=thunderbird  
Loaded plugins: dellsysidplugin2
Excluding Packages in global exclude list
Finished
Setting up Upgrade Process
Resolving Dependencies
There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them.
--> Running transaction check
---> Package ggz-base-libs.i586 0:0.99.5-2.fc11 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

===============================================================
 Package        Arch   Version         Repository     Size
===============================================================
Installing:
 ggz-base-libs  i586   0.99.5-2.fc11   koji-11        211 k
     replacing  libggz.i586 0.99.4-3.fc11


Transaction Summary
===============================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total size: 211 k
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test

Transaction Check Error:
  file /etc/ggz.modules from install of ggz-base-libs-0.99.5-2.fc11.i586 conflicts with file from package ggz-client-libs-1:0.0.14.1-2.fc10.i386
  file /etc/xdg/menus/applications-merged/ggz.merge.menu from install of ggz-base-libs-0.99.5-2.fc11.i586 conflicts with file from package ggz-client-libs-1:0.0.14.1-2.fc10.i386
  file /etc/xdg/menus/ggz.menu from install of ggz-base-libs-0.99.5-2.fc11.i586 conflicts with file from package ggz-client-libs-1:0.0.14.1-2.fc10.i386
  file /usr/bin/ggz-config from install of ggz-base-libs-0.99.5-2.fc11.i586 conflicts with file from package ggz-client-libs-1:0.0.14.1-2.fc10.i386
  file /usr/lib/libggzcore.so.9.0.0 from install of ggz-base-libs-0.99.5-2.fc11.i586 conflicts with file from package ggz-client-libs-1:0.0.14.1-2.fc10.i386
  file /usr/lib/libggzmod.so.4.1.0 from install of ggz-base-libs-0.99.5-2.fc11.i586 conflicts with file from package ggz-client-libs-1:0.0.14.1-2.fc10.i386
  file /usr/share/desktop-directories/ggz-games.directory from install of ggz-base-libs-0.99.5-2.fc11.i586 conflicts with file from package ggz-client-libs-1:0.0.14.1-2.fc10.i386
  file /usr/share/desktop-directories/ggz.directory from install of ggz-base-libs-0.99.5-2.fc11.i586 conflicts with file from package ggz-client-libs-1:0.0.14.1-2.fc10.i386
  file /usr/share/locale/de/LC_MESSAGES/ggz-config.mo from install of ggz-base-libs-0.99.5-2.fc11.i586 conflicts with file from package ggz-client-libs-1:0.0.14.1-2.fc10.i386
  file /usr/share/man/man5/ggz.modules.5.gz from install of ggz-base-libs-0.99.5-2.fc11.i586 conflicts with file from package ggz-client-libs-1:0.0.14.1-2.fc10.i386
  file /usr/share/man/man6/ggz-config.6.gz from install of ggz-base-libs-0.99.5-2.fc11.i586 conflicts with file from package ggz-client-libs-1:0.0.14.1-2.fc10.i386
  file /usr/share/man/man7/ggz.7.gz from install of ggz-base-libs-0.99.5-2.fc11.i586 conflicts with file from package ggz-client-libs-1:0.0.14.1-2.fc10.i386

Error Summary
-------------

Version-Release number of selected component (if applicable):
ggz-base-libs-0.99.5-2.fc11
ggz-client-libs-1:0.0.14.1-2.fc10

How reproducible:
100%

Additional info:
ggz-client-libs has Epoch 1.
Comment 1 Rex Dieter 2009-03-23 09:27:38 EDT
rats, (in my best imitation of William Shattner): EPOCH!
Comment 2 Rex Dieter 2009-03-23 09:32:16 EDT
fixed in ggz-base-libs-0.99.5-3

added epoch in Obsoletes/Provides: libggz, ggz-base-libs

Note You need to log in before you can comment on or make changes to this bug.